Skip to main content
GET
/
abuse_reports
/
{id}
Get
curl --request GET \
  --url https://api.ngrok.com/abuse_reports/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'ngrok-version: <ngrok-version>'
import requests

url = "https://api.ngrok.com/abuse_reports/{id}"

headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.ngrok.com/abuse_reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "uri": "<string>",
  "created_at": "<string>",
  "urls": [
    "<string>"
  ],
  "metadata": "<string>",
  "status": "<string>",
  "hostnames": [
    {
      "hostname": "<string>",
      "status": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

ngrok-version
integer
default:2
required

Path Parameters

id
string
required

a resource identifier

Response

200 - application/json

Get the detailed status of abuse report by ID.

id
string

ID of the abuse report

uri
string

URI of the abuse report API resource

created_at
string

timestamp that the abuse report record was created in RFC 3339 format

urls
string[]

a list of URLs containing suspected abusive content

metadata
string

arbitrary user-defined data about this abuse report. Optional, max 4096 bytes.

status
string

Indicates whether ngrok has processed the abuse report. one of PENDING, PROCESSED, or PARTIALLY_PROCESSED

hostnames
object[]

an array of hostname statuses related to the report